package com.aucma.report.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 扫描下线记录报表对象 product_offline
 *
 * @author Yinq
 * @date 2024-03-05
 */
public class ProductOffLine extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 计划工厂
     */
    @Excel(name = "计划工厂")
    private String productFactoryCode;

    /**
     * 公司条码
     */
    @Excel(name = "公司条码")
    private String productSncode;

    /**
     * SAP计划编号
     */
    @Excel(name = "SAP计划编号")
    private String productOrderNo;

    /**
     * 销售订单号
     */
    @Excel(name = "销售订单号")
    private String productSaleNo;

    /**
     * 销售行号
     */
    @Excel(name = "销售行号")
    private String productSaleLineNo;

    /**
     * 物料编码
     */
    @Excel(name = "物料编码")
    private String productCode;

    /**
     * 产品型号
     */
    @Excel(name = "产品型号")
    private String productModel;

    /**
     * 物料描述
     */
    @Excel(name = "物料描述")
    private String productName;

    /**
     * 产品类型
     */
    @Excel(name = "产品类型")
    private String productType;

    /**
     * 验证组合
     */
    @Excel(name = "验证组合")
    private String productCheckInfo;

    /**
     * 标签特征
     */
    @Excel(name = "标签特征")
    private String productRemark;

    /**
     * 产品条码编码
     */
    @Excel(name = "产品条码编码")
    private String productBarNo;

    /**
     * 主型号
     */
    @Excel(name = "主型号")
    private String productMasterModel;

    /**
     * 版本号
     */
    @Excel(name = "版本号")
    private String productVersion;

    /**
     * 用途位
     */
    @Excel(name = "用途位")
    private String productUserinfo;

    /**
     * 流通特性
     */
    @Excel(name = "流通特性")
    private String productCirculate;

    /**
     * 生成日期
     */
    private String productCreatedate;

    /**
     * 扫描时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "扫描时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date productScantime;

    /**
     * 箱体码
     */
    @Excel(name = "箱体码")
    private String boxCode;

    /**
     * 产线编号
     */
    @Excel(name = "产线编号")
    private String productLineCode;

    /**
     * 产线名称
     */
    @Excel(name = "产线名称")
    private String productLineName;

    /**
     * 工厂名称
     */
    @Excel(name = "工厂名称")
    private String factoryName;

    /**
     * 查询扫描开始时间
     */
    private String beginBeginTime;

    /**
     * 查询扫描结束时间
     */
    private String endBeginTime;

    public String getBeginBeginTime() {
        return beginBeginTime;
    }

    public void setBeginBeginTime(String beginBeginTime) {
        this.beginBeginTime = beginBeginTime;
    }

    public String getEndBeginTime() {
        return endBeginTime;
    }

    public void setEndBeginTime(String endBeginTime) {
        this.endBeginTime = endBeginTime;
    }

    public String getProductLineName() {
        return productLineName;
    }

    public void setProductLineName(String productLineName) {
        this.productLineName = productLineName;
    }

    public String getFactoryName() {
        return factoryName;
    }

    public void setFactoryName(String factoryName) {
        this.factoryName = factoryName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setProductFactoryCode(String productFactoryCode) {
        this.productFactoryCode = productFactoryCode;
    }

    public String getProductFactoryCode() {
        return productFactoryCode;
    }

    public void setProductSncode(String productSncode) {
        this.productSncode = productSncode;
    }

    public String getProductSncode() {
        return productSncode;
    }

    public void setProductOrderNo(String productOrderNo) {
        this.productOrderNo = productOrderNo;
    }

    public String getProductOrderNo() {
        return productOrderNo;
    }

    public void setProductSaleNo(String productSaleNo) {
        this.productSaleNo = productSaleNo;
    }

    public String getProductSaleNo() {
        return productSaleNo;
    }

    public void setProductSaleLineNo(String productSaleLineNo) {
        this.productSaleLineNo = productSaleLineNo;
    }

    public String getProductSaleLineNo() {
        return productSaleLineNo;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductModel(String productModel) {
        this.productModel = productModel;
    }

    public String getProductModel() {
        return productModel;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductCheckInfo(String productCheckInfo) {
        this.productCheckInfo = productCheckInfo;
    }

    public String getProductCheckInfo() {
        return productCheckInfo;
    }

    public void setProductRemark(String productRemark) {
        this.productRemark = productRemark;
    }

    public String getProductRemark() {
        return productRemark;
    }

    public void setProductBarNo(String productBarNo) {
        this.productBarNo = productBarNo;
    }

    public String getProductBarNo() {
        return productBarNo;
    }

    public void setProductMasterModel(String productMasterModel) {
        this.productMasterModel = productMasterModel;
    }

    public String getProductMasterModel() {
        return productMasterModel;
    }

    public void setProductVersion(String productVersion) {
        this.productVersion = productVersion;
    }

    public String getProductVersion() {
        return productVersion;
    }

    public void setProductUserinfo(String productUserinfo) {
        this.productUserinfo = productUserinfo;
    }

    public String getProductUserinfo() {
        return productUserinfo;
    }

    public void setProductCirculate(String productCirculate) {
        this.productCirculate = productCirculate;
    }

    public String getProductCirculate() {
        return productCirculate;
    }

    public void setProductCreatedate(String productCreatedate) {
        this.productCreatedate = productCreatedate;
    }

    public String getProductCreatedate() {
        return productCreatedate;
    }

    public void setProductScantime(Date productScantime) {
        this.productScantime = productScantime;
    }

    public Date getProductScantime() {
        return productScantime;
    }

    public void setBoxCode(String boxCode) {
        this.boxCode = boxCode;
    }

    public String getBoxCode() {
        return boxCode;
    }

    public void setProductLineCode(String productLineCode) {
        this.productLineCode = productLineCode;
    }

    public String getProductLineCode() {
        return productLineCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("productFactoryCode", getProductFactoryCode())
                .append("productSncode", getProductSncode())
                .append("productOrderNo", getProductOrderNo())
                .append("productSaleNo", getProductSaleNo())
                .append("productSaleLineNo", getProductSaleLineNo())
                .append("productCode", getProductCode())
                .append("productModel", getProductModel())
                .append("productName", getProductName())
                .append("productType", getProductType())
                .append("productCheckInfo", getProductCheckInfo())
                .append("productRemark", getProductRemark())
                .append("productBarNo", getProductBarNo())
                .append("productMasterModel", getProductMasterModel())
                .append("productVersion", getProductVersion())
                .append("productUserinfo", getProductUserinfo())
                .append("productCirculate", getProductCirculate())
                .append("productCreatedate", getProductCreatedate())
                .append("productScantime", getProductScantime())
                .append("boxCode", getBoxCode())
                .append("productLineCode", getProductLineCode())
                .toString();
    }
}
